summaryrefslogtreecommitdiff
path: root/perltest.sh
diff options
context:
space:
mode:
authorMatthew Vernon <matthew@debian.org>2016-02-27 15:00:32 +0000
committerMatthew Vernon <matthew@debian.org>2016-02-27 15:00:32 +0000
commit5fc77543f854bbe609407e8f2d54d906faad2883 (patch)
tree1c6a1c13657d2b80357ea2dadd7d8b3ee5c4e493 /perltest.sh
parentc27ff5607e8146d7dcacf9ab7c25a931f14e1fbd (diff)
Imported Upstream version 10.21
Diffstat (limited to 'perltest.sh')
-rwxr-xr-xperltest.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/perltest.sh b/perltest.sh
index f011ccc..9cf7b17 100755
--- a/perltest.sh
+++ b/perltest.sh
@@ -204,12 +204,14 @@ for (;;)
printf "data> " if $interact;
last NEXT_RE if ! ($_ = <$infile>);
chomp;
- printf $outfile "$_\n" if ! $interact;
+ printf $outfile "%s", "$_\n" if ! $interact;
s/\s+$//; # Remove trailing space
s/^\s+//; # Remove leading space
last if ($_ eq "");
+ next if $_ =~ /^\\=(?:\s|$)/; # Comment line
+
$x = eval "\"$_\""; # To get escapes processed
# Empty array for holding results, ensure $REGERROR and $REGMARK are